WordPress.org

Support

Support » Plugins and Hacks » Wp-Polls 1.5 updated

Wp-Polls 1.5 updated

  • I downloaded the new updated 1.5 wp-polls from gamerz.

    I have installed it and it displays correctly but it is not recording votes.

    When I attempted to run the install script I got these errors (or at least, the second time I tried to run it. ran into some problems on first attempt)

    WordPress database error: [Table ‘wp_pollsa’ already exists]
    CREATE TABLE wp_pollsa ( aid int(10) unsigned NOT NULL auto_increment, qid int(10) NOT NULL default ‘0’, answers varchar(200) NOT NULL default ”, votes int(10) NOT NULL default ‘0’, PRIMARY KEY (aid))

    WordPress database error: [Table ‘wp_pollsq’ already exists]
    CREATE TABLE wp_pollsq ( id int(10) unsigned NOT NULL auto_increment, question varchar(200) NOT NULL default ”, timestamp varchar(20) NOT NULL default ”, total_votes int(10) NOT NULL default ‘0’, PRIMARY KEY (id))

    any ideas what i’m doing wrong or why it wouldnt be recording? if its sql i’m probably screwed i know jack about mysql 🙁

Viewing 15 replies - 16 through 30 (of 47 total)
  • UsmanLaw: I have the same problem! The cookie for the vote isn’t set, and that error message appears at the top of the page.

    I’m also getting the “Warning: Cannot modify header information – headers already sent by…” error and would like to know how to fix it.

    And also, as I mentioned in this thread:
    http://wordpress.org/support/topic.php?id=26573
    I’ve noticed that if you refresh the page it sends your vote in again. That makes the plugin worthless unless nobody ever returns to the site.

    And one last thing — the “Vote” button is only showing up for Firefox. Anybody know why that would be? Not there for Opera or IE.

    I really like this plugin & have been waiting patiently for the upgrade, but still have been having bad luck with it…

    The headers error is caused by some output occurring too soon. Having ANYTHING before “<?php” or after “?>” in a plugin or theme file can cause this.

    Check for spaces or blank lines at the beginning and end of any recently added/modified php files.

    does anyone have an idea why my polls look really funky? i cant figure it out… i’ve even tried messing with the CSS… no luck… and i’ve tried reloading the plugin twice…

    the link is in my user profile… and the poll is in the sidebar on the right

    thanks,
    mat

    Gamerz,

    just wanted to add to this thread thanks so much for a great plugin. I think it really does add some nice content to the sites its on. if nothing else its fun.

    Thanks mate.

    Yeah, Gamerz…

    All your plugins are so nicely designed.

    still getting the warning, can someone send me their header file so I can see where they placed the code.

    UsmanLaw@gmail.com

    Anyone get this to work without the warning at the top of the page after a vote?

    Yes, anyone get this to work? I too get the mofifying headers error, and I’ve checked for white space everywhere.

    I also have a problem that one vote is counted as two.

    felipe – thanks for the support. I dont think anyone can help…

    UsmanLaw: Open up your index.php file. On the first two lines you should have these two lines:

    <?php get_header(); ?>
    <?php vote_poll(); ?>

    Switch place at those. vote_poll should be on the first line.

    That solved my problem. Almost. But still the cookie isn’t set, so you can still vote as much as you want. 🙁

    hi all, it is my bad, i didnt state clearly in the readme.

    To get rid of the header errors

    use <?php vote_polls(); ?> right at the top of header.php under your themes.

    what do the themes look like in the header.php? Not sure where they are in here so i cant put <?php vote_polls(); ?> under them. sorry

Viewing 15 replies - 16 through 30 (of 47 total)
  • The topic ‘Wp-Polls 1.5 updated’ is closed to new replies.
Skip to toolbar